1 Reply Latest reply: May 27, 2013 7:37 AM by BGreg
Apple_OSX Level 1 (0 points)

Can anyone help, I have a 2005 iMac g5 that meets all the specs for leopard and the instalation window opens up but when I choose my language and hit next it says Mac OSX can not be installed on this machine.


iMac G5 (17-inch Ambient Light Sensor), Mac OS X (10.4.11)